kpmcore (26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:35:51 +0100

kpmcore (26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:33:36 +0100

kpmcore (26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 11:59:29 +0100

kpmcore (26.04.0-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Do not wildcard shared library soversion in install file, as this
      risks soname bumps not being detected.
    - Disable build time tests.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 07 May 2026 06:38:58 +0100

kpmcore (26.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (26.04.0).
  * Bump Standards-Version to 4.7.4, no change required.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.
  * Mark libkpmcore as Multi-Arch: no, it ships a dbus service
    description containing an arch triplet which makes it not
    coinstallable. (Closes: #1133729)

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 26 Apr 2026 21:25:20 +0200

kpmcore (25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:56:36 +0000

kpmcore (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:27:27 +0000

kpmcore (25.12.1-3ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Keep our symbols file.
    - Do not wildcard shared library soversion in install file, as this
      risks soname bumps not being detected.
    - Disable build time tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 15 Jan 2026 10:44:06 +0000

kpmcore (25.12.1-3) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 15 Jan 2026 07:38:02 +0100

kpmcore (25.12.1-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  Reupload including merge of previous changes from the experimental branch.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Jan 2026 23:34:36 +0100

kpmcore (25.12.1-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop patches applied upstream.
  * Adapt packaging to upstream soname bump to libkpmcore13.
  * Update symbols from build for 25.12.1.
  * Switch to debian/watch format version 5.
  * Add/update Heiko Becker’s key in upstream keyring.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 12 Jan 2026 23:21:05 +0100

kpmcore (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:11:01 +0000

kpmcore (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:29:23 +0000

kpmcore (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:11:21 +0000

kpmcore (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:52 +0000

kpmcore (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:17 +0000

kpmcore (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:50 +0100

kpmcore (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:24 +0100

kpmcore (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:26 +0100

kpmcore (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:54:32 +0100

kpmcore (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:19:08 +0100

kpmcore (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:50:35 +0100

kpmcore (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:54:25 +0100

kpmcore (25.04.1-0ubuntu2) questing; urgency=medium

  * Disable test that requires full build.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 11:02:50 +0100

kpmcore (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)
  * Drop included upstream_fix-partitionmanager-crashes.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:12:57 +0100

kpmcore (24.12.3-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Backport upstream commits:
    - Fix a memory leak by actually freeing a correct pointer.
    - Fix a crash when filesystem==nullptr.
  * Reenable build-time tests.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 09 Jun 2025 09:01:20 +0200

kpmcore (25.04.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Adapt packaging to soname bump from libkpmcore12 to libkpmcore13.
  * Update symbols from build for 25.04.0.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 06 May 2025 00:46:20 +0200

kpmcore (25.04.0-0ubuntu2) questing; urgency=medium

  * Add upstream_fix-partitionmanager-crashes.patch

 -- Rik Mills <rikmills@kde.org>  Fri, 02 May 2025 07:34:51 +0100

kpmcore (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)
  * Drop ext4-lazy_itable_init-lazy_journal_init.patch and tests-
    cpp20.patch. Included in this release.
  * Bump SONAME according to upstream changes:
    - libkpmcore12 -> libkpmcore13
  * Regenerate symbols file.

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:56:50 +0100

kpmcore (24.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.3).
  * Backport commit to fix misleading Polish translation. (Closes:
    #1104060)
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 04 May 2025 00:19:45 +0200

kpmcore (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:46:34 +0000

kpmcore (24.12.2-0ubuntu2) plucky; urgency=medium

  * Merge from Debian Unstable in packaging.
  * Add ext4-lazy_itable_init-lazy_journal_init.patch which sets
    lazy_itable_init and lazy_journal_init to 0, trading speed (with the
    bottleneck being disk bandwidth) for a cleaner mkfs.
  * Add tests-cpp20.patch which bumps the test suite to C++20.
  * Enable the autopkgtest, ensure it is functional.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 02:07:29 -0600

kpmcore (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 10:00:50 +0000

kpmcore (24.12.1-0ubuntu2) plucky; urgency=medium

  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Mon, 13 Jan 2025 13:13:59 +0000

kpmcore (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 06:17:41 +0000

kpmcore (24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 08:41:23 +0100

kpmcore (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:17:24 +0000

kpmcore (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 13:20:15 +0000

kpmcore (24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Tue, 19 Nov 2024 11:42:58 +0000

kpmcore (24.08.3-0ubuntu2) plucky; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 14:54:03 +0000

kpmcore (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:44:35 +0000

kpmcore (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Experimental, remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.
    - Keep our symbols file.
  * Drop old Breaks/Replaces.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Oct 2024 14:59:33 -0500

kpmcore (24.08.2-1) experimental; urgency=medium

  [ Jesse Rhodes ]
  * New upstream release (24.05.2).
  * Update build-deps with info from cmake.
  * Update list of installed files from build system.
  * Update libkpmcore12.symbols.
  * Refresh copyright info.
  * pkg-config -> pkgconf.
  * Update Standards-Version to 4.7.0 (no changes needed).
  * Use dh-sequence-kf6.
  * Update package descriptions.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.2).
  * Update symbols from build for 24.08.2.
  * Fix typo in Replaces relation with older version of the lib.
  * Cleanup Breaks/Replaces.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 16 Oct 2024 08:48:50 +0200

kpmcore (23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:42:01 +0000

kpmcore (23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:15:31 +0000

kpmcore (23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:14:02 -0700

kpmcore (23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:19:35 +0000

kpmcore (23.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.2).
  * Update symbols file.
  * Update build-deps with info from cmake.
  * New upstream release (23.08.3).

 -- Jesse Rhodes <jesse@sney.ca>  Tue, 05 Dec 2023 12:18:00 -0500

kpmcore (23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:39:43 +0000

kpmcore (23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:35:32 +0100

kpmcore (23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:03:22 +0100

kpmcore (23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 12:58:23 +0100

kpmcore (23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * Add the dh-sequence-pkgkde-symbolshelper build dep.
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:37:55 +0100

kpmcore (23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:52:24 +0100

kpmcore (23.04.2-0ubuntu1) mantic; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

  [ Rik Mills ]
  * Update symbols.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 11:59:33 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libkpmcore13`.
